'use strict';

var framework = require('@sapphire/framework');
var Events_cjs = require('../lib/types/Events.cjs');

var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var _PluginListener = class _PluginListener extends framework.Listener {
  constructor(context) {
    super(context, { event: Events_cjs.SubcommandPluginEvents.SubcommandMappingIsMissingChatInputCommandHandler });
  }
  run(_, subcommand, context) {
    const { name, location } = context.command;
    this.container.logger.error(`Encountered a missing mapping on chat input subcommand "${name}" at "${location.full}"`, subcommand);
  }
};
__name(_PluginListener, "PluginListener");
var PluginListener = _PluginListener;

exports.PluginListener = PluginListener;
//# sourceMappingURL=PluginSubcommandMappingIsMissingChatInputCommandHandler.cjs.map
//# sourceMappingURL=PluginSubcommandMappingIsMissingChatInputCommandHandler.cjs.map